C*----------------------------------------------------------------------
C*
C*  NAME:
C*    coord.inc - Definition of trace coordinates for seismic
C*              processing benchmark
C*     
C*  SYNOPSIS:
C*    include 'coord.inc'
C*
C*  DESCRIPTION: 
C*    Contains arrays of xyz coordinates for shots and receivers,
C*    normally set by process READ
C*
C*----------------------------------------------------------------------
C*   DEPENDENCIES:
C*     None
C*
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       12/31/91 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       Seismic Benchmark Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
	integer MAXXYZ
	parameter (MAXXYZ=1024)
	integer coord_start, coord_end
	real gx0, gy0, gdx, gdy, grot
	real sxyz(3,MAXXYZ), rxyz(3,MAXXYZ)
	common /coord/ coord_start
	common /coord/ gx0, gy0, gdx, gdy, grot
	common /coord/ coord_end
	common /coord/ sxyz,rxyz
	save   /coord/
