C*----------------------------------------------------------------------
C*
C*  NAME:
C*    getparm - get parameter record from seismic parameter file
C*    rewparm - rewind seismic parameter file
C*     
C*  SYNOPSIS:
C*    character*4 nam
C*    character*80 buf
C*    integer index, ier
C*    call getparm( nam, index, buf, ier )
C*    call rewparm()
C*
C*  DESCRIPTION: 
C*    Searches for 'index' occurence in seismic parameter file 
C*    of record with first four characters that match 'nam'.
C*    Returns ier=0 on success with record stored in 'buf'.  Returns
C*    Fortran EOF and read errors in variable ier.
C*
C*----------------------------------------------------------------------
C*   DEPENDENCIES:
C*
C*     Include files:
C*       ./sys.inc
C*
C*     Libraries:
C*       FORTRAN I/O support
C*
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*      Written:
C*        12/31/91 - C. Mosher, ARCO E&PT 
C*
C*      References:
C*
C*      Modified:
C*
C*----------------------------------------------------------------------
C
	subroutine getparm( nam, index, buf, ier )
	character*4 nam
	character*80 buf
	integer index, ier
	include 'sys.inc'

	rewind( iuparm )
	j = 1
  10  continue
	read ( iuparm, '(a80)', iostat=ier ) buf
	if (ier.eq.0 .and. buf(1:4).ne.nam) goto 10
	if (j.eq.index) return
	j = j + 1
	goto 10
	end
C
C*----------------------------------------------------------------------
C
	subroutine rewparm()
	include 'sys.inc'
	rewind (unit=iuparm)
	return
	end
C
C*----------------------------------------------------------------------
