C*----------------------------------------------------------------------
C*
C*  NAME:
C*    main.f - driver program for ARCO/Perfect Seismic Benchmarks
C*     
C*  DESCRIPTION: 
C*    A leading fortran stub to get things going
C*
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       02/21/92 - C. Mosher, ARCO E&PT 
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
	character*80 deck
	include 'sys.inc'
	include 'para.inc'
	include 'sysmem.inc'
	include 'coord.inc'

C  Initialize parallel operation
	if (jpinit("seis") .lt. 0) stop

C  Get parallel instance variables
	node = jnode()
	nodes = jnodes()
	master = jmaster()

C  Set print to stdout
	ipr = 6

C  Open card deck if master node
	if (node.eq.master) then

C  Get card deck name
		if (iargc().ge.1) then
			call getarg(1,deck)
CFB Add following so works with TCGMSG : 'parallel seis dgen.prm'
			if (deck .eq. 'seis') call getarg(2,deck)
		else
			deck(1:9) = 'seis.prm '
		endif
		iuparm = 7
		len = lenstrw(deck,80)
		open (7,file=deck(1:len),status='old',iostat=ier)
		if (ier.ne.0) then
			write (*,*) 'SEIS ERROR: could not open card deck'
			call jkill()
			stop
		endif

	endif

C  Run prep phase
	call seisprep( )

C  Check for adequate memory
	if (lotr.gt.MAXOTR) then
		call sysmsg('SEIS ERROR: trace storage request exceeds max')
		call sysmsg('            Increase MAXOTR in sysmem.inc')
		ier = 1
	else if (lra.gt.MAXRA) then
		call sysmsg('SEIS ERROR: reserved storage request exceeds max')
		call sysmsg('            Increase MAXRA in sysmem.inc')
		ier = 1
	else if (lsa.gt.MAXSA) then
		call sysmsg('SEIS ERROR: working storage requst exceeds max')
		call sysmsg('            Increase MAXSA in sysmem.inc')
		ier = 1
	else if (maxtrc.gt.MAXXYZ) then
		call sysmsg('SEIS ERROR: number of output traces exceeds max')
		call sysmsg('            Increase MAXXYZ in coord.inc')
		ier = 1
	else
		ier = 0
	endif
	if (ier.ne.0) then
		call jpterm()
		stop
	endif

C  Run proc phase
	call cproc( lotr, lra, lsa )

	end
