	parameter(MAXV = 1048576, MAXZ=8192)
	integer sbfcreat, sbfwrfrm
	dimension v(MAXV), vmin(MAXZ), vmax(MAXZ), vbar(MAXZ)
	character*80 fn
	character*40 title
	write (*,*) 'Enter a,b,c,d: '
	read (*,*) a,b,c,d
	write (*,*) 'Enter nx,x1,dx: '
	read (*,*) nx,x1,dx
	write (*,*) 'Enter ny,y1,dy: '
	read (*,*) ny,y1,dy
	write (*,*) 'Enter nz,z1,dz: '
	read (*,*) nz,z1,dz
	if (nx*ny .gt. MAXV) then
		write (*,*) 'Too big'
		stop
	endif
	write (*,*) 'Enter output file: '
	read (*,'(a80)') fn
	isbf = sbfcreat(fn, nx, ny, nz, 1 )
	if (isbf.le.0) then
		write (*,*) 'Could not create ',fn
		call sbferror()
		stop
	endif
	call sbfwrprm(isbf,'vtype','C','Vint-XY')
	call sbfwrprm(isbf,'o1','F',x1)
	call sbfwrprm(isbf,'o2','F',y1)
	call sbfwrprm(isbf,'o3','F',z1)
	call sbfwrprm(isbf,'d1','F',dx)
	call sbfwrprm(isbf,'d2','F',dy)
	call sbfwrprm(isbf,'d3','F',dz)
	do j=1,nz
		z = z1 + dz*(j-1)
		call gendat(a,b,c,d,nx,x1,dx,ny,y1,dy,z,v,
     +		vmin(j),vmax(j),vbar(j))
		ier = sbfwrfrm(isbf,j,v)
		if (ier.ne.0) then
			write (ipr,*) 'Error writing depth slice ',j
			stop
		endif
	enddo
	len = nz * jwsize()
	call sbfwratr( isbf, "vmin", vmin, len )
	call sbfwratr( isbf, "vmax", vmax, len )
	call sbfwratr( isbf, "vbar", vbar, len )
	call sbfclose(isbf)
	stop
	end
c
c
	subroutine gendat(a,b,c,d,nx,x1,dx,ny,y1,dy,z,v,vmin,vmax,vbar)
	dimension v(nx,ny)
	vmin = a + b*x1 + c*y1 + d*z
	vmax = vmin
	vbar = 0.
	do j=1,ny
		y = y1 + dy*(j-1)
		do i=1,nx
			x = x1 + dx*(i-1)
			v(i,j) = a + b*x + c*y + d*z
			vmin = min(vmin,v(i,j))
			vmax = max(vmax,v(i,j))
			vbar = vbar + v(i,j)
		enddo
	enddo
	vbar = vbar/float(nx*ny)
	return
	end
